From 56b8610618192bfdedc90d9c2588ef15e4c70f69 Mon Sep 17 00:00:00 2001
From: Edward Welbourne <edward.welbourne@qt.io>
Date: Fri, 30 Oct 2020 16:12:38 +0100
Subject: [PATCH 050/262] Update CLDR to v38
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 8bit

Fresh on the heels of our update to v37, they've released a new version.
No new languages to complicate life, fortunately.

Updated license (year range) and attribution. One test also needed an
update: Catalan's long time format now parenthesizes the zone.

Task-number: QTBUG-87925
Change-Id: I54fb9b7f084b5cd019c983c1e3862dc03865a272
Reviewed-by: Mårten Nordheim <marten.nordheim@qt.io>
(cherry picked from commit 246ba8ca61a19b586de1750d66422f517149622e)
Reviewed-by: Edward Welbourne <edward.welbourne@qt.io>
---
 src/corelib/text/UNICODE_LICENSE.txt          |    2 +-
 src/corelib/text/qlocale.qdoc                 |    2 +-
 src/corelib/text/qlocale_data_p.h             | 4813 ++++++++---------
 src/corelib/text/qt_attribution.json          |    2 +-
 src/corelib/time/qhijricalendar_data_p.h      |  439 +-
 src/corelib/time/qjalalicalendar_data_p.h     |    7 +-
 src/corelib/time/qromancalendar_data_p.h      | 4650 ++++++++--------
 src/corelib/time/qtimezoneprivate_data_p.h    | 1077 ++--
 .../auto/corelib/text/qlocale/tst_qlocale.cpp |    2 +-
 9 files changed, 5502 insertions(+), 5492 deletions(-)

diff --git a/src/corelib/text/qlocale.qdoc b/src/corelib/text/qlocale.qdoc
index f4b9f5b67d..67fa0f4b62 100644
--- a/src/corelib/text/qlocale.qdoc
+++ b/src/corelib/text/qlocale.qdoc
@@ -92,7 +92,7 @@
     \note For the current keyboard input locale take a look at
     QInputMethod::locale().
 
-    QLocale's data is based on Common Locale Data Repository v37.
+    QLocale's data is based on Common Locale Data Repository v38.
 
     \sa QString::arg(), QString::toInt(), QString::toDouble(),
     QInputMethod::locale()
diff --git a/src/corelib/text/qlocale_data_p.h b/src/corelib/text/qlocale_data_p.h
index f076ea06a7..c960eaeef4 100644
--- a/src/corelib/text/qlocale_data_p.h
+++ b/src/corelib/text/qlocale_data_p.h
@@ -77,8 +77,8 @@ static const int ImperialMeasurementSystemsCount =
 // GENERATED PART STARTS HERE
 
 /*
-    This part of the file was generated on 2020-10-27 from the
-    Common Locale Data Repository v37
+    This part of the file was generated on 2020-11-09 from the
+    Common Locale Data Repository v38
 
     http://www.unicode.org/cldr/
 
@@ -162,7 +162,7 @@ static const QLocaleId likely_subtags[] = {
     { 176,   0,   0 }, { 176,   7, 111 }, // dav -> dav_Latn_KE
     {  42,   0,   0 }, {  42,   7,  82 }, // de -> de_Latn_DE
     { 239,   0,   0 }, { 239,   7, 156 }, // dje -> dje_Latn_NE
-    { 275,   0,   0 }, { 275,   1, 100 }, // doi -> doi_Arab_IN
+    { 275,   0,   0 }, { 275,  13, 100 }, // doi -> doi_Deva_IN
     { 317,   0,   0 }, { 317,   7,  82 }, // dsb -> dsb_Latn_DE
     { 240,   0,   0 }, { 240,   7,  37 }, // dua -> dua_Latn_CM
     { 143,   0,   0 }, { 143,  29, 131 }, // dv -> dv_Thaa_MV
@@ -210,7 +210,6 @@ static const QLocaleId likely_subtags[] = {
     { 163,   0,   0 }, { 163,   7, 225 }, // haw -> haw_Latn_US
     {  48,   0,   0 }, {  48,  18, 105 }, // he -> he_Hebr_IL
     {  49,   0,   0 }, {  49,  13, 100 }, // hi -> hi_Deva_IN
-    {  49,   7,   0 }, {  49,   7, 100 }, // hi_Latn -> hi_Latn_IN
     { 344,   0,   0 }, { 344, 129, 217 }, // hlu -> hlu_Hluw_TR
     { 282,   0,   0 }, { 282,  86,  44 }, // hmd -> hmd_Plrd_CN
     { 333,   0,   0 }, { 333, 110, 117 }, // hnj -> hnj_Hmng_LA
@@ -268,7 +267,6 @@ static const QLocaleId likely_subtags[] = {
     { 169,   0,   0 }, { 169,   7, 121 }, // kpe -> kpe_Latn_LR
     { 225,   0,   0 }, { 225,   7,   0 }, // kr -> kr_Latn
     {  62,   0,   0 }, {  62,   1, 100 }, // ks -> ks_Arab_IN
-    {  62,  13,   0 }, {  62,  13, 100 }, // ks_Deva -> ks_Deva_IN
     { 214,   0,   0 }, { 214,   7, 210 }, // ksb -> ksb_Latn_TZ
     { 243,   0,   0 }, { 243,   7,  37 }, // ksf -> ksf_Latn_CM
     { 201,   0,   0 }, { 201,   7,  82 }, // ksh -> ksh_Latn_DE
@@ -328,7 +326,6 @@ static const QLocaleId likely_subtags[] = {
     { 347,   0,   0 }, { 347, 117,  18 }, // mro -> mro_Mroo_BD
     {  76,   0,   0 }, {  76,   7, 130 }, // ms -> ms_Latn_MY
     {  76,   0,  46 }, {  76,   1,  46 }, // ms_CC -> ms_Arab_CC
-    {  76,   0, 101 }, {  76,   7, 101 }, // ms_ID -> ms_Latn_ID
     {  78,   0,   0 }, {  78,   7, 133 }, // mt -> mt_Latn_MT
     { 245,   0,   0 }, { 245,   7,  37 }, // mua -> mua_Latn_CM
     { 368,   0,   0 }, { 368,   7, 225 }, // mus -> mus_Latn_US
@@ -510,7 +507,6 @@ static const QLocaleId likely_subtags[] = {
     {  25,   0,  97 }, {  25,   6,  97 }, // zh_HK -> zh_Hant_HK
     {  25,   0, 101 }, {  25,   6, 101 }, // zh_ID -> zh_Hant_ID
     {  25,   0, 126 }, {  25,   6, 126 }, // zh_MO -> zh_Hant_MO
-    {  25,   0, 130 }, {  25,   6, 130 }, // zh_MY -> zh_Hant_MY
     {  25,   0, 166 }, {  25,   6, 166 }, // zh_PA -> zh_Hant_PA
     {  25,   0,  77 }, {  25,   6,  77 }, // zh_PF -> zh_Hant_PF
     {  25,   0, 170 }, {  25,   6, 170 }, // zh_PH -> zh_Hant_PH
@@ -583,7 +579,7 @@ static const QLocaleId likely_subtags[] = {
     {   0,   0,  67 }, { 122,  14,  67 }, // und_ER -> ti_Ethi_ER
     {   0,   0, 197 }, { 111,   7, 197 }, // und_ES -> es_Latn_ES
     {   0,   0,  69 }, {   7,  14,  69 }, // und_ET -> am_Ethi_ET
-    {   0,   0, 258 }, {  31,   7, 224 }, // und_EU -> en_Latn_GB
+    {   0,   0, 258 }, {  31,   7, 104 }, // und_EU -> en_Latn_IE
     {   0,   0,  73 }, {  36,   7,  73 }, // und_FI -> fi_Latn_FI
     {   0,   0,  71 }, {  34,   7,  71 }, // und_FO -> fo_Latn_FO
     {   0,   0,  74 }, {  37,   7,  74 }, // und_FR -> fr_Latn_FR
@@ -760,7 +756,7 @@ static const QLocaleId likely_subtags[] = {
     {   0,   2,   0 }, {  96,   2, 178 }, // und_Cyrl -> ru_Cyrl_RU
     {   0,   2,   2 }, {  74,   2,   2 }, // und_Cyrl_AL -> mk_Cyrl_AL
     {   0,   2,  27 }, { 100,   2,  27 }, // und_Cyrl_BA -> sr_Cyrl_BA
-    {   0,   2,  81 }, {   2,   2,  81 }, // und_Cyrl_GE -> ab_Cyrl_GE
+    {   0,   2,  81 }, { 101,   2,  81 }, // und_Cyrl_GE -> os_Cyrl_GE
     {   0,   2,  85 }, {  74,   2,  85 }, // und_Cyrl_GR -> mk_Cyrl_GR
     {   0,   2, 141 }, { 129,   2, 141 }, // und_Cyrl_MD -> uk_Cyrl_MD
     {   0,   2, 177 }, {  20,   2, 177 }, // und_Cyrl_RO -> bg_Cyrl_RO
@@ -976,157 +972,157 @@ static const quint16 locale_index[] = {
    279, // Kurdish
    280, // Rundi
    281, // Lao
-     0, // Latin
-   282, // Latvian
-   283, // Lingala
-   287, // Lithuanian
-   288, // Macedonian
-   289, // Malagasy
-   290, // Malay
-   295, // Malayalam
-   296, // Maltese
-   297, // Maori
-   298, // Marathi
+   282, // Latin
+   283, // Latvian
+   284, // Lingala
+   288, // Lithuanian
+   289, // Macedonian
+   290, // Malagasy
+   291, // Malay
+   296, // Malayalam
+   297, // Maltese
+   298, // Maori
+   299, // Marathi
      0, // Marshallese
-   299, // Mongolian
+   300, // Mongolian
      0, // Nauru
-   301, // Nepali
-   303, // Norwegian Bokmal
-   305, // Occitan
-   306, // Oriya
-   307, // Pashto
-   309, // Persian
-   311, // Polish
-   312, // Portuguese
-   324, // Punjabi
-   326, // Quechua
-   329, // Romansh
-   330, // Romanian
-   332, // Russian
+   302, // Nepali
+   304, // Norwegian Bokmal
+   306, // Occitan
+   307, // Oriya
+   308, // Pashto
+   310, // Persian
+   312, // Polish
+   313, // Portuguese
+   325, // Punjabi
+   327, // Quechua
+   330, // Romansh
+   331, // Romanian
+   333, // Russian
      0, // Samoan
-   338, // Sango
-   339, // Sanskrit
-   340, // Serbian
-   348, // Ossetic
-   350, // Southern Sotho
-   351, // Tswana
-   352, // Shona
-   353, // Sindhi
-   355, // Sinhala
-   356, // Swati
-   357, // Slovak
-   358, // Slovenian
-   359, // Somali
-   363, // Spanish
-   391, // Sundanese
-   392, // Swahili
-   396, // Swedish
-   399, // Sardinian
-   400, // Tajik
-   401, // Tamil
-   405, // Tatar
-   406, // Telugu
-   407, // Thai
-   408, // Tibetan
-   410, // Tigrinya
-   412, // Tongan
-   413, // Tsonga
-   414, // Turkish
-   416, // Turkmen
+   339, // Sango
+   340, // Sanskrit
+   341, // Serbian
+   349, // Ossetic
+   351, // Southern Sotho
+   352, // Tswana
+   353, // Shona
+   354, // Sindhi
+   356, // Sinhala
+   357, // Swati
+   358, // Slovak
+   359, // Slovenian
+   360, // Somali
+   364, // Spanish
+   392, // Sundanese
+   393, // Swahili
+   397, // Swedish
+   400, // Sardinian
+   401, // Tajik
+   402, // Tamil
+   406, // Tatar
+   407, // Telugu
+   408, // Thai
+   409, // Tibetan
+   411, // Tigrinya
+   413, // Tongan
+   414, // Tsonga
+   415, // Turkish
+   417, // Turkmen
      0, // Tahitian
-   417, // Uighur
-   418, // Ukrainian
-   419, // Urdu
-   421, // Uzbek
-   424, // Vietnamese
-   425, // Volapuk
-   426, // Welsh
-   427, // Wolof
-   428, // Xhosa
-   429, // Yiddish
-   430, // Yoruba
+   418, // Uighur
+   419, // Ukrainian
+   420, // Urdu
+   422, // Uzbek
+   425, // Vietnamese
+   426, // Volapuk
+   427, // Welsh
+   428, // Wolof
+   429, // Xhosa
+   430, // Yiddish
+   431, // Yoruba
      0, // Zhuang
-   432, // Zulu
-   433, // Norwegian Nynorsk
-   434, // Bosnian
-   436, // Divehi
-   437, // Manx
-   438, // Cornish
-   439, // Akan
-   440, // Konkani
-   441, // Ga
-   442, // Igbo
-   443, // Kamba
-   444, // Syriac
-   445, // Blin
-   446, // Geez
+   433, // Zulu
+   434, // Norwegian Nynorsk
+   435, // Bosnian
+   437, // Divehi
+   438, // Manx
+   439, // Cornish
+   440, // Akan
+   441, // Konkani
+   442, // Ga
+   443, // Igbo
+   444, // Kamba
+   445, // Syriac
+   446, // Blin
+   447, // Geez
      0, // Koro
-   447, // Sidamo
-   448, // Atsam
-   449, // Tigre
-   450, // Jju
-   451, // Friulian
-   452, // Venda
-   453, // Ewe
-   455, // Walamo
-   456, // Hawaiian
-   457, // Tyap
-   458, // Nyanja
-   459, // Filipino
-   460, // Swiss German
-   463, // Sichuan Yi
-   464, // Kpelle
-   465, // Low German
-   467, // South Ndebele
-   468, // Northern Sotho
-   469, // Northern Sami
-   472, // Taroko
-   473, // Gusii
-   474, // Taita
-   475, // Fulah
-   487, // Kikuyu
-   488, // Samburu
-   489, // Sena
-   490, // North Ndebele
-   491, // Rombo
-   492, // Tachelhit
-   494, // Kabyle
-   495, // Nyankole
-   496, // Bena
-   497, // Vunjo
-   498, // Bambara
-   500, // Embu
-   501, // Cherokee
-   502, // Morisyen
-   503, // Makonde
-   504, // Langi
-   505, // Ganda
-   506, // Bemba
-   507, // Kabuverdianu
-   508, // Meru
-   509, // Kalenjin
-   510, // Nama
-   511, // Machame
-   512, // Colognian
-   513, // Masai
-   515, // Soga
-   516, // Luyia
-   517, // Asu
-   518, // Teso
-   520, // Saho
-   521, // Koyra Chiini
-   522, // Rwa
-   523, // Luo
-   524, // Chiga
-   525, // Central Morocco Tamazight
-   526, // Koyraboro Senni
-   527, // Shambala
-   528, // Bodo
+   448, // Sidamo
+   449, // Atsam
+   450, // Tigre
+   451, // Jju
+   452, // Friulian
+   453, // Venda
+   454, // Ewe
+   456, // Walamo
+   457, // Hawaiian
+   458, // Tyap
+   459, // Nyanja
+   460, // Filipino
+   461, // Swiss German
+   464, // Sichuan Yi
+   465, // Kpelle
+   466, // Low German
+   468, // South Ndebele
+   469, // Northern Sotho
+   470, // Northern Sami
+   473, // Taroko
+   474, // Gusii
+   475, // Taita
+   476, // Fulah
+   488, // Kikuyu
+   489, // Samburu
+   490, // Sena
+   491, // North Ndebele
+   492, // Rombo
+   493, // Tachelhit
+   495, // Kabyle
+   496, // Nyankole
+   497, // Bena
+   498, // Vunjo
+   499, // Bambara
+   501, // Embu
+   502, // Cherokee
+   503, // Morisyen
+   504, // Makonde
+   505, // Langi
+   506, // Ganda
+   507, // Bemba
+   508, // Kabuverdianu
+   509, // Meru
+   510, // Kalenjin
+   511, // Nama
+   512, // Machame
+   513, // Colognian
+   514, // Masai
+   516, // Soga
+   517, // Luyia
+   518, // Asu
+   519, // Teso
+   521, // Saho
+   522, // Koyra Chiini
+   523, // Rwa
+   524, // Luo
+   525, // Chiga
+   526, // Central Morocco Tamazight
+   527, // Koyraboro Senni
+   528, // Shambala
+   529, // Bodo
      0, // Avaric
      0, // Chamorro
-   529, // Chechen
-   530, // Church
-   531, // Chuvash
+   530, // Chechen
+   531, // Church
+   532, // Chuvash
      0, // Cree
      0, // Haitian
      0, // Herero
@@ -1136,38 +1132,38 @@ static const quint16 locale_index[] = {
      0, // Kongo
      0, // Kwanyama
      0, // Limburgish
-   532, // Luba Katanga
-   533, // Luxembourgish
-     0, // Navaho
+   533, // Luba Katanga
+   534, // Luxembourgish
+   535, // Navaho
      0, // Ndonga
      0, // Ojibwa
      0, // Pali
-   534, // Walloon
-   535, // Aghem
-   536, // Basaa
-   537, // Zarma
-   538, // Duala
-   539, // Jola Fonyi
-   540, // Ewondo
-   541, // Bafia
-   542, // Makhuwa Meetto
-   543, // Mundang
-   544, // Kwasio
-   545, // Nuer
-   546, // Sakha
-   547, // Sangu
+   536, // Walloon
+   537, // Aghem
+   538, // Basaa
+   539, // Zarma
+   540, // Duala
+   541, // Jola Fonyi
+   542, // Ewondo
+   543, // Bafia
+   544, // Makhuwa Meetto
+   545, // Mundang
+   546, // Kwasio
+   547, // Nuer
+   548, // Sakha
+   549, // Sangu
      0, // Congo Swahili
-   548, // Tasawaq
-   549, // Vai
-   551, // Walser
-   552, // Yangben
+   550, // Tasawaq
+   551, // Vai
+   553, // Walser
+   554, // Yangben
      0, // Avestan
-   553, // Asturian
-   554, // Ngomba
-   555, // Kako
-   556, // Meta
-   557, // Ngiemboon
-   558, // Aragonese
+   555, // Asturian
+   556, // Ngomba
+   557, // Kako
+   558, // Meta
+   559, // Ngiemboon
+   560, // Aragonese
      0, // Akkadian
      0, // Ancient Egyptian
      0, // Ancient Greek
@@ -1181,7 +1177,7 @@ static const quint16 locale_index[] = {
      0, // Chakma
      0, // Classical Mandaic
      0, // Coptic
-     0, // Dogri
+   561, // Dogri
      0, // Eastern Cham
      0, // Eastern Kayah
      0, // Etruscan
@@ -1196,7 +1192,7 @@ static const quint16 locale_index[] = {
      0, // Lycian
      0, // Lydian
      0, // Mandingo
-   559, // Manipuri
+   562, // Manipuri
      0, // Meroitic
      0, // Northern Thai
      0, // Old Irish
@@ -1210,31 +1206,31 @@ static const quint16 locale_index[] = {
      0, // Rejang
      0, // Sabaean
      0, // Samaritan
-   561, // Santali
+   564, // Santali
      0, // Saurashtra
      0, // Sora
      0, // Sylheti
      0, // Tagbanwa
-   563, // Tai Dam
+   566, // Tai Dam
      0, // Tai Nua
      0, // Ugaritic
-   564, // Akoose
-   565, // Lakota
-   566, // Standard Moroccan Tamazight
-   567, // Mapuche
-   568, // Central Kurdish
-   570, // Lower Sorbian
-   571, // Upper Sorbian
-   572, // Kenyang
-   573, // Mohawk
-   574, // Nko
-   575, // Prussian
-   576, // Kiche
-   577, // Southern Sami
-   578, // Lule Sami
-   579, // Inari Sami
-   580, // Skolt Sami
-   581, // Warlpiri
+   567, // Akoose
+   568, // Lakota
+   569, // Standard Moroccan Tamazight
+   570, // Mapuche
+   571, // Central Kurdish
+   573, // Lower Sorbian
+   574, // Upper Sorbian
+   575, // Kenyang
+   576, // Mohawk
+   577, // Nko
+   578, // Prussian
+   579, // Kiche
+   580, // Southern Sami
+   581, // Lule Sami
+   582, // Inari Sami
+   583, // Skolt Sami
+   584, // Warlpiri
      0, // Manichaean Middle Persian
      0, // Mende
      0, // Ancient North Arabian
@@ -1245,17 +1241,17 @@ static const quint16 locale_index[] = {
      0, // Bassa
      0, // Mono
      0, // Tedim Chin
-   582, // Maithili
+   585, // Maithili
      0, // Ahom
      0, // American Sign Language
      0, // Ardhamagadhi Prakrit
      0, // Bhojpuri
      0, // Hieroglyphic Luwian
      0, // Literary Chinese
-   583, // Mazanderani
+   586, // Mazanderani
      0, // Mru
      0, // Newari
-   584, // Northern Luri
+   587, // Northern Luri
      0, // Palauan
      0, // Papiamento
      0, // Saraiki
@@ -1263,20 +1259,20 @@ static const quint16 locale_index[] = {
      0, // Tok Pisin
      0, // Tuvalu
      0, // Uncoded Languages
-   586, // Cantonese
-   588, // Osage
+   589, // Cantonese
+   591, // Osage
      0, // Tangut
-   589, // Ido
-   590, // Lojban
-   591, // Sicilian
-   592, // Southern Kurdish
-   593, // Western Balochi
-   594, // Cebuano
-   595, // Erzya
-   596, // Chickasaw
-   597, // Muscogee
-   598, // Silesian
-   599, // Nigerian Pidgin
+   592, // Ido
+   593, // Lojban
+   594, // Sicilian
+   595, // Southern Kurdish
+   596, // Western Balochi
+   597, // Cebuano
+   598, // Erzya
+   599, // Chickasaw
+   600, // Muscogee
+   601, // Silesian
+   602, // Nigerian Pidgin
      0 // trailing 0
 };
 
